Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPayLoadData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPayload_data:
| Constructor, with another payload data object. More...
(id) | - initWithVersion:crypto_filter:file_name:file_size:description:
| Constructor, with parameters. More...
(void) | - set:crypto_filter:file_name:file_size:description:
| Set value. More...

## Properties
NSString * | crypto_filter
| The name of the cryptographic filter used to encrypt the encrypted payload document.
NSString * | description
| Description for payload file to show applications or confront users prompt information.
NSString * | file_name
| The payload file name.
long long | file_size
| The payload file size.
float | version
| The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Method Documentation

## ◆ initWithPayload_data:()

- (id) initWithPayload_data: |  | (FSPayLoadData*) | payload_data |

Constructor, with another payload data object.

Parameters

  [in] | payload_data | Another payload data object.

## ◆ initWithVersion:crypto_filter:file_name:file_size:description:()

- (id) initWithVersion: |  | (float) | version
crypto_filter: |  | (NSString *) | crypto_filter
file_name: |  | (NSString *) | file_name
file_size: |  | (long long) | file_size
description: |  | (NSString *) | description

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ set:crypto_filter:file_name:file_size:description:()

- (void) set: |  | (float) | version
crypto_filter: |  | (NSString *) | crypto_filter
file_name: |  | (NSString *) | file_name
file_size: |  | (long long) | file_size
description: |  | (NSString *) | description

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.